gstreamermm: Gst::FdSrc Class Reference

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions

# Gst::FdSrc Class Reference
[gstreamermm Plugins]

A Wrapper for the fdsrc plugin. More...

Inherits Gst::PushSrc, and Gst::URIHandler.

Collaboration diagram for Gst::FdSrc:
[legend]

List of all members.

## Public Member Functions
virtual | ~FdSrc ()
GstFdSrc* | gobj ()
| Provides access to the underlying C GObject.
const GstFdSrc* | gobj () const
| Provides access to the underlying C GObject.
GstFdSrc* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy< int > | property_fd ()
| An open file descriptor to read from.
Glib::PropertyProxy_ReadOnly< int > | property_fd () const
| An open file descriptor to read from.
Glib::PropertyProxy< guint64 > | property_timeout ()
| Post a message after timeout microseconds (0 = disabled).
Glib::PropertyProxy_ReadOnly < guint64 > | property_timeout () const
| Post a message after timeout microseconds (0 = disabled).
## Static Public Member Functions
static Glib::RefPtr< FdSrc > | create ()
| Creates a new fdsrc plugin with a unique name.
static Glib::RefPtr< FdSrc > | create (const Glib::ustring& name)
| Creates a new fdsrc plugin with the given name.
## Protected Member Functions
| FdSrc ()
| FdSrc (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::FdSrc > | wrap (GstFdSrc* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the fdsrc plugin.

Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems so care must be taken that they exist before they are used, otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::FdSrc::~FdSrc | ( |  | ) | `[virtual]`

Gst::FdSrc::FdSrc | ( |  | ) | `[protected]`

Gst::FdSrc::FdSrc | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<FdSrc> Gst::FdSrc::create | ( |  | ) | `[static]`

Creates a new fdsrc plugin with a unique name.

static Glib::RefPtr<FdSrc> Gst::FdSrc::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new fdsrc plugin with the given name.

const GstFdSrc* Gst::FdSrc::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::URIHandler.

GstFdSrc* Gst::FdSrc::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::URIHandler.

GstFdSrc* Gst::FdSrc::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Glib::PropertyProxy_ReadOnly<int> Gst::FdSrc::property_fd | ( |  | ) | const

An open file descriptor to read from.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<int> Gst::FdSrc::property_fd | ( |  | ) |

An open file descriptor to read from.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<guint64> Gst::FdSrc::property_timeout | ( |  | ) | const

Post a message after timeout microseconds (0 = disabled).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<guint64> Gst::FdSrc::property_timeout | ( |  | ) |

Post a message after timeout microseconds (0 = disabled).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::FdSrc > wrap | ( | GstFdSrc * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/fdsrc.h